Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class BarCodeAttributes

    java.lang.Object
      com.aspose.barcode.jr.BarCodeAttributes

All Implemented Interfaces:
  java.io.Serializable

    public final class BarCodeAttributes

extends java.lang.Object
implements java.io.Serializable

A bean to hold the properties for rendering a barcoce

See Also:
  Serialized Form

Constructor Summary
`BarCodeAttributes()`
`BarCodeAttributes(java.lang.String codeText, java.lang.String Symbology)`

Method Summary
`int` | `getAustraliaPostFormatControlCode()`
`boolean` | `getAutoSize()` Gets whether auto sizing the barcode image or not.
`int` | `getAztecErrorLevel()` Gets Aztec barcode's error correction level
`java.awt.Color` | `getBackColor()` Gets the background color of the barcode image, default to white
`float` | `getBarHeight()` Gets the bar's height for 1D barcodes, measured in com.aspose.barcode.GraphicsUnit
`java.awt.Color` | `getBorderColor()` Gets border's color of the barcode image
`boolean` | `getBorderVisible()` Gets whether to draw the border or not
`float` | `getBorderWidth()` Gets border's width of x barcode image.
`Caption` | `getCaptionAbove()` Gets CaptionAbove of the barcode image.
`Caption` | `getCaptionBelow()` Gets the caption below the barcode image
`int` | `getCodabarStartSymbol()` Gets the start symbol for codabar types of barcode
`int` | `getCodabarStopSymbol()` Gets the stop symbol of codabar types of barcode
`int` | `getCode128Set()` Gets code set for code128 types of barcode
`java.lang.String` | `getCodeText()` Gets the code text of the barcode, code text is the data encoded into the barcode image Some barcode symbologies may require certain types of code text, such as UPCA and UPCE require numbers only
`java.awt.Color` | `getCodeTextColor()` Gets the human readable code text's color
`java.awt.Font` | `getCodeTextFont()` Gets the code text's font of x barcode.
`boolean` | `getCodeTextVisible()` Gets whether or not to show the human readable code text
`int` | `getDataMatrixMode()` Gets Datamatrix barcode's encode mode.
`boolean` | `getEnableChecksum()` Gets whether checksum is enabled.
`java.awt.Color` | `getForeColor()` Gets the foreground color of the barcode image, if it's for web servlet render caption's color and code text's color may be all reduced to one color
`int` | `getGraphicsUnit()` Gets the measurement of graphics unit, default to millimeter
`float` | `getHeight()` Gets the height of x barcode image.
`int` | `getImageQuality()` Gets the image quality of the barcode image, it's not recommended to use the anti alias setting, that will make the barcode image harder to read by machine
`int` | `getITF14BorderType()` Gets ITF14 barcode's border type
`int` | `getMacroPDF417FileID()` Gets macro pdf417 barcode's file ID.
`boolean` | `getMacroPDF417LastSegment()` Gets whether this macro pdf417 barcode is the last segment.
`int` | `getMacroPDF417SegmentID()` Gets macro pdf417 barcode's segment ID, which starts from 0, to MacroPdf417SegmentCount - 1.
`float` | `getPDF417AspectRatio()` Gets PDF417 barcode's module height to width ratio
`int` | `getPDF417Columns()` Gets columns of PDF417 barcode, illegal settings will be ignored
`int` | `getPDF417CompactMode()` Gets compaction mode of PDF417 barcode, available modes are PDF417CompactMode.AUTO, PDF417CompactMode.BINARY, PDF417CompactMode.NUMERIC, PDF417CompactMode.TEXT
`int` | `getPDF417ErrorLevel()` Gets error correction level of PDF417 barcode, from LEVEL0 to LEVEL8, LEVEL 0 for no error correction, LEVEL8 for max error correction.
`int` | `getPDF417Rows()` Gets rows of PDF417 barcode, illegal settings will be ignored
`boolean` | `getPDF417Truncated()` Gets whether PDF417 barcode is truncated, that is, the right guard area om
`float` | `getPlanetShortBarHeight()` Gets the short bar's height of Planet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight.
`float` | `getPostnetShortBarHeight()` Gets the short bar's height of Postnet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight.
`int` | `getQRErrorLevel()` Gets QR barcode's error correction level.
`Resolution` | `getResolution()` Gets the resolution of the barcode image
`float` | `getRotationAngle()` Gets the rotation angle of the barcode image defaults to 0 degree
`float` | `getSupplementSpace()` Gets the space between main barcode and the supplement barcode
`java.lang.String` | `getSupplementText()` Gets the supplement barcode's code text.
`java.lang.String` | `getSymbology()` Supported symbologies: Codabar, Code11, Code128, Code39, Code39 extended, Code93, Code93 extended Interleaved 2of5, Standard2of5, MSI, UPCA, UPCE
`float` | `getWideNarrowRatio()` Gets wide bars to narrow bars ratio for some types of one dimensional barcode
`float` | `getWidth()` Gets the width of x barcode image.
`float` | `getXDimension()` Gets the width of x smallest bar, or the smallest module's width of 2D barcodes measured in GraphicsUnit
`float` | `getYDimension()` Gets the height of x smallest module of 2D barcodes.
`void` | `setAustraliaPostFormatControlCode(int australiaPostFormatControlCode)`
`void` | `setAutoSize(boolean value)` Sets whether auto sizing the barcode image or not.
`void` | `setAztecErrorLevel(int value)` Sets Aztec barcode's error correction level
`void` | `setBackColor(java.awt.Color value)` Sets the background color of the barcode image, default to white
`void` | `setBarHeight(float value)` Sets the bar's height for 1D barcodes, measured in com.aspose.barcode.GraphicsUnit
`void` | `setBorderColor(java.awt.Color value)` Sets border's color of the barcode image
`void` | `setBorderVisible(boolean value)` Sets whether to draw the border or not
`void` | `setBorderWidth(float value)` Sets border's width of x barcode image.
`void` | `setCaptionAbove(Caption value)` Sets the CaptionAbove of the barcode image.
`void` | `setCaptionBelow(Caption value)` Sets the caption below the barcode image
`void` | `setCodabarStartSymbol(int value)` Sets the start symbol for codabar types of barcode
`void` | `setCodabarStopSymbol(int value)` Sets the stop symbol of codabar types of barcode
`void` | `setCode128Set(int value)` Sets code set for code128 types of barcode
`void` | `setCodeText(java.lang.String value)` Sets the code text of the barcode, code text is the data encoded into the barcode image If code text is null or empty, exception will be thrown.
`void` | `setCodeTextColor(java.awt.Color value)` Sets the human readable code text's color
`void` | `setCodeTextFont(java.awt.Font value)` Sets the code text's font of x barcode.
`void` | `setCodeTextVisible(boolean value)` Sets whether or not to show the human readable code text, some symbologies of barcode may ignore this setting
`void` | `setDataMatrixMode(int value)` Sets Datamatrix barcode's encode mode
`void` | `setEnableChecksum(boolean value)` Sets wether checksum is enabled.
`void` | `setForeColor(java.awt.Color value)` Gets the foreground color of the barcode image, if it's for web servlet render caption's color and code text's color may be all reduced to one color
`void` | `setGraphicsUnit(int value)` Sets the measurement of graphics unit, default to millimeter
`void` | `setHeight(float value)` Sets the height of x barcode image, if auto size is set to true, Width and Height settings will be ignored
`void` | `setImageQuality(int value)` Sets the image quality of the barcode image, it's not recommended to use the anti alias setting, that will make the barcode image harder to read by machine
`void` | `setITF14BorderType(int value)` Sets ITF14 barcode's border type
`void` | `setMacroPDF417FileID(int macroPDF417FileID)` Sets macro pdf417 barcode's file ID.
`void` | `setMacroPDF417LastSegment(boolean isMacroPDF417LastSegment)` Getswhether this macro pdf417 barcode is the last segment.
`void` | `setMacroPDF417SegmentID(int macroPDF417SegmentID)` Sets macro pdf417 barcode's segment ID, which starts from 0, to MacroPdf417SegmentCount - 1.
`void` | `setPDF417AspectRatio(float value)` Sets PDF417 barcode's module height to width ratio
`void` | `setPDF417Columns(int value)` Sets columns of PDF417 barcode, illegal settings will be ignored
`void` | `setPDF417CompactMode(int value)` Sets compaction mode of PDF417 barcode, available modes are PDF417CompactMode.AUTO, PDF417CompactMode.BINARY, PDF417CompactMode.NUMERIC, PDF417CompactMode.TEXT
`void` | `setPDF417ErrorLevel(int value)` Sets error correction level of PDF417 barcode, from LEVEL0 to LEVEL8, LEVEL 0 for no error correction, LEVEL8 for max error correction.
`void` | `setPDF417Rows(int value)` Sets rows of PDF417 barcode, illegal settings will be ignored
`void` | `setPDF417Truncated(boolean value)` Sets whether PDF417 barcode is truncated.
`void` | `setPlanetShortBarHeight(float value)` Sets the short bar's height of Planet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight.
`void` | `setPostnetShortBarHeight(float value)` Sets the short bar's height of Postnet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight method.
`void` | `setQRErrorLevel(int value)` Sets QR barcode's error correction level.
`void` | `setResolution(Resolution value)`
`void` | `setRotationAngle(float value)` Sets the rotation angle of the barcode image, default to 0 degree, if rotation angle not not equal to 0, 90, 180 or 270, the barcode maybe jagged, setImageQuality to anti-alias to solve this problem
`void` | `setSupplementSpace(float value)` Sets the space between main barcode and the supplement barcode
`void` | `setSupplementText(java.lang.String value)` Sets the supplement barcode's code text.
`void` | `setSymbology(java.lang.String symbology)` Supported symbologies: Codabar, Code11, Code128, Code39, Code39 extended, Code93, Code93 extended Interleaved 2of5, Standard2of5, MSI, UPCA, UPCE
`void` | `setWideNarrowRatio(float value)` Sets wide bars to narrow bars ratio for some types of one dimensional barcode, default to 3.0
`void` | `setWidth(float value)` Sets the width of x barcode image, if auto size is set to true, Width and Height settings will be ignored
`void` | `setXDimension(float value)` Sets the width of x smallest bar, or the smallest module's width of 2D barcodes measured in GraphicsUnit
`void` | `setYDimension(float value)` Sets the height of x smallest module of 2D barcodes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarCodeAttributes

    public BarCodeAttributes()

### BarCodeAttributes

    public BarCodeAttributes(java.lang.String codeText,
                             java.lang.String Symbology)

Method Detail

### getAustraliaPostFormatControlCode

    public int getAustraliaPostFormatControlCode()

### getAutoSize

    public boolean getAutoSize()

  Gets whether auto sizing the barcode image or not. If auto size set to false, image size will be decided by width and height settings

  Returns:

### getAztecErrorLevel

    public int getAztecErrorLevel()

  Gets Aztec barcode's error correction level

  Returns:

### getBackColor

    public java.awt.Color getBackColor()

  Gets the background color of the barcode image, default to white

  Returns:

### getBarHeight

    public float getBarHeight()

  Gets the bar's height for 1D barcodes, measured in com.aspose.barcode.GraphicsUnit

  Returns:

### getBorderColor

    public java.awt.Color getBorderColor()

  Gets border's color of the barcode image

  Returns:

### getBorderVisible

    public boolean getBorderVisible()

  Gets whether to draw the border or not

  Returns:

### getBorderWidth

    public float getBorderWidth()

  Gets border's width of x barcode image. measured by GraphicsUnit, defaulted: millimeter

  Returns:
    border's width if visible

### getCaptionAbove

    public Caption getCaptionAbove()

  Gets CaptionAbove of the barcode image. Evaluation version of aspose barcode will force an Aspose.Demo CaptionAbove

### setCaptionAbove

    public void setCaptionAbove(Caption value)

  Sets the CaptionAbove of the barcode image. Evaluation version of aspose barcode will force an Aspose.Demo CaptionAbove

### getCaptionBelow

    public Caption getCaptionBelow()

  Gets the caption below the barcode image

### setCaptionBelow

    public void setCaptionBelow(Caption value)

  Sets the caption below the barcode image

### getCodabarStartSymbol

    public int getCodabarStartSymbol()

  Gets the start symbol for codabar types of barcode

  Returns:

### getCodabarStopSymbol

    public int getCodabarStopSymbol()

  Gets the stop symbol of codabar types of barcode

  Returns:

### getCode128Set

    public int getCode128Set()

  Gets code set for code128 types of barcode

  Returns:

### getCodeText

    public java.lang.String getCodeText()

  Gets the code text of the barcode, code text is the data encoded into the barcode image Some barcode symbologies may require certain types of code text, such as UPCA and UPCE require numbers only

  Returns:

### getCodeTextColor

    public java.awt.Color getCodeTextColor()

  Gets the human readable code text's color

  Returns:

### getCodeTextFont

    public java.awt.Font getCodeTextFont()

  Gets the code text's font of x barcode. barcode image normally has human readable code text printed along with the machine readable barcode. Code text font specifies human readable code text's font style. Default font is Serif.

  Returns:

### getCodeTextVisible

    public boolean getCodeTextVisible()

  Gets whether or not to show the human readable code text

  Returns:

### getDataMatrixMode

    public int getDataMatrixMode()

  Gets Datamatrix barcode's encode mode.

  Returns:

### getEnableChecksum

    public boolean getEnableChecksum()

  Gets whether checksum is enabled. Some symbologies such as UPCA, UPCE require Checksum to be presented, they will ignore enable checksum setting

  Returns:

### getForeColor

    public java.awt.Color getForeColor()

  Gets the foreground color of the barcode image, if it's for web servlet render caption's color and code text's color may be all reduced to one color

  Returns:

### getGraphicsUnit

    public int getGraphicsUnit()

  Gets the measurement of graphics unit, default to millimeter

  Returns:

### getHeight

    public float getHeight()

  Gets the height of x barcode image.

  Returns:

### getImageQuality

    public int getImageQuality()

  Gets the image quality of the barcode image, it's not recommended to use the anti alias setting, that will make the barcode image harder to read by machine

  Returns:

### getITF14BorderType

    public int getITF14BorderType()

  Gets ITF14 barcode's border type

  Returns:

### getMacroPDF417FileID

    public int getMacroPDF417FileID()

  Gets macro pdf417 barcode's file ID.

  Returns:

### getMacroPDF417LastSegment

    public boolean getMacroPDF417LastSegment()

  Gets whether this macro pdf417 barcode is the last segment.

  Returns:

### getMacroPDF417SegmentID

    public int getMacroPDF417SegmentID()

  Gets macro pdf417 barcode's segment ID, which starts from 0, to MacroPdf417SegmentCount - 1.

  Returns:

### getPDF417AspectRatio

    public float getPDF417AspectRatio()

  Gets PDF417 barcode's module height to width ratio

  Returns:

### getPDF417Columns

    public int getPDF417Columns()

  Gets columns of PDF417 barcode, illegal settings will be ignored

  Returns:

### getPDF417CompactMode

    public int getPDF417CompactMode()

  Gets compaction mode of PDF417 barcode, available modes are PDF417CompactMode.AUTO, PDF417CompactMode.BINARY, PDF417CompactMode.NUMERIC, PDF417CompactMode.TEXT

  Returns:

### getPDF417ErrorLevel

    public int getPDF417ErrorLevel()

  Gets error correction level of PDF417 barcode, from LEVEL0 to LEVEL8, LEVEL 0 for no error correction, LEVEL8 for max error correction.

  Returns:

### getPDF417Rows

    public int getPDF417Rows()

  Gets rows of PDF417 barcode, illegal settings will be ignored

  Returns:

### getPDF417Truncated

    public boolean getPDF417Truncated()

  Gets whether PDF417 barcode is truncated, that is, the right guard area om

  Returns:

### getPlanetShortBarHeight

    public float getPlanetShortBarHeight()

  Gets the short bar's height of Planet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight.

  Returns:

### getPostnetShortBarHeight

    public float getPostnetShortBarHeight()

  Gets the short bar's height of Postnet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight.

  Returns:

### getQRErrorLevel

    public int getQRErrorLevel()

  Gets QR barcode's error correction level.

  Returns:

### getRotationAngle

    public float getRotationAngle()

  Gets the rotation angle of the barcode image defaults to 0 degree

  Returns:

### getResolution

    public Resolution getResolution()

  Gets the resolution of the barcode image

### getSupplementSpace

    public float getSupplementSpace()

  Gets the space between main barcode and the supplement barcode

  Returns:

### getSupplementText

    public java.lang.String getSupplementText()

  Gets the supplement barcode's code text. Only EAN8, EAN13, BooklandEAN, UPCA, UPCE has supplements. Supplement codetext only contains numeric characters with length to be 2 or 5.

  Returns:

### getSymbology

    public java.lang.String getSymbology()

  Supported symbologies: Codabar, Code11, Code128, Code39, Code39 extended, Code93, Code93 extended Interleaved 2of5, Standard2of5, MSI, UPCA, UPCE

  Returns:

### getWideNarrowRatio

    public float getWideNarrowRatio()

  Gets wide bars to narrow bars ratio for some types of one dimensional barcode

  Returns:

### getWidth

    public float getWidth()

  Gets the width of x barcode image.

  Returns:

### getXDimension

    public float getXDimension()

  Gets the width of x smallest bar, or the smallest module's width of 2D barcodes measured in GraphicsUnit

  Returns:

### getYDimension

    public float getYDimension()

  Gets the height of x smallest module of 2D barcodes.

  Returns:

### setAustraliaPostFormatControlCode

    public void setAustraliaPostFormatControlCode(int australiaPostFormatControlCode)

### setAutoSize

    public void setAutoSize(boolean value)

  Sets whether auto sizing the barcode image or not. If auto size set to false, image size will be decided by width and height settings

  Parameters:
    `value` -

### setAztecErrorLevel

    public void setAztecErrorLevel(int value)

  Sets Aztec barcode's error correction level

  Parameters:
    `value` -

### setBackColor

    public void setBackColor(java.awt.Color value)

  Sets the background color of the barcode image, default to white

  Parameters:
    `value` -

### setBarHeight

    public void setBarHeight(float value)

  Sets the bar's height for 1D barcodes, measured in com.aspose.barcode.GraphicsUnit

  Parameters:
    `value` -

### setBorderColor

    public void setBorderColor(java.awt.Color value)

  Sets border's color of the barcode image

  Parameters:
    `value` -

### setBorderVisible

    public void setBorderVisible(boolean value)

  Sets whether to draw the border or not

  Parameters:
    `value` -

### setBorderWidth

    public void setBorderWidth(float value)

  Sets border's width of x barcode image. measured by GraphicsUnit, defaulted: millimeter

  Parameters:
    `value` -

### setCodabarStartSymbol

    public void setCodabarStartSymbol(int value)

  Sets the start symbol for codabar types of barcode

  Parameters:
    `value` -

### setCodabarStopSymbol

    public void setCodabarStopSymbol(int value)

  Sets the stop symbol of codabar types of barcode

  Parameters:
    `value` -

### setCode128Set

    public void setCode128Set(int value)

  Sets code set for code128 types of barcode

  Parameters:
    `value` -

### setCodeText

    public void setCodeText(java.lang.String value)

  Sets the code text of the barcode, code text is the data encoded into the barcode image If code text is null or empty, exception will be thrown. Some barcode symbologies may require certain types of code text, such as UPCA and UPCE require numbers only

  Parameters:
    `value` -

### setCodeTextColor

    public void setCodeTextColor(java.awt.Color value)

  Sets the human readable code text's color

  Parameters:
    `value` -

### setCodeTextFont

    public void setCodeTextFont(java.awt.Font value)

  Sets the code text's font of x barcode. barcode image normally has human readable code text printed along with the machine readable barcode. Code text font specifies human readable code text's font style. Default font is Serif.

  Parameters:
    `value` -

### setCodeTextVisible

    public void setCodeTextVisible(boolean value)

  Sets whether or not to show the human readable code text, some symbologies of barcode may ignore this setting

  Parameters:
    `value` -

### setDataMatrixMode

    public void setDataMatrixMode(int value)

  Sets Datamatrix barcode's encode mode

  Parameters:
    `value` -

### setEnableChecksum

    public void setEnableChecksum(boolean value)

  Sets wether checksum is enabled. Some symbologies such as UPCA, UPCE require Checksum to be presented, they will ignore enable checksum setting

  Parameters:
    `value` -

### setForeColor

    public void setForeColor(java.awt.Color value)

  Gets the foreground color of the barcode image, if it's for web servlet render caption's color and code text's color may be all reduced to one color

  Parameters:
    `value` -

### setGraphicsUnit

    public void setGraphicsUnit(int value)

  Sets the measurement of graphics unit, default to millimeter

  Parameters:
    `value` -

### setHeight

    public void setHeight(float value)

  Sets the height of x barcode image, if auto size is set to true, Width and Height settings will be ignored

  Parameters:
    `value` -

### setImageQuality

    public void setImageQuality(int value)

  Sets the image quality of the barcode image, it's not recommended to use the anti alias setting, that will make the barcode image harder to read by machine

  Parameters:
    `value` -

### setITF14BorderType

    public void setITF14BorderType(int value)

  Sets ITF14 barcode's border type

  Parameters:
    `value` -

### setMacroPDF417FileID

    public void setMacroPDF417FileID(int macroPDF417FileID)

  Sets macro pdf417 barcode's file ID.

  Parameters:
    `macroPDF417FileID` -

### setMacroPDF417LastSegment

    public void setMacroPDF417LastSegment(boolean isMacroPDF417LastSegment)

  Getswhether this macro pdf417 barcode is the last segment.

  Parameters:
    `isMacroPDF417LastSegment` -

### setMacroPDF417SegmentID

    public void setMacroPDF417SegmentID(int macroPDF417SegmentID)

  Sets macro pdf417 barcode's segment ID, which starts from 0, to MacroPdf417SegmentCount - 1.

  Parameters:
    `macroPDF417SegmentID` -

### setPDF417AspectRatio

    public void setPDF417AspectRatio(float value)

  Sets PDF417 barcode's module height to width ratio

  Parameters:
    `value` -

### setPDF417Columns

    public void setPDF417Columns(int value)

  Sets columns of PDF417 barcode, illegal settings will be ignored

  Parameters:
    `value` -

### setPDF417CompactMode

    public void setPDF417CompactMode(int value)

  Sets compaction mode of PDF417 barcode, available modes are PDF417CompactMode.AUTO, PDF417CompactMode.BINARY, PDF417CompactMode.NUMERIC, PDF417CompactMode.TEXT

  Parameters:
    `value` -

### setPDF417ErrorLevel

    public void setPDF417ErrorLevel(int value)

  Sets error correction level of PDF417 barcode, from LEVEL0 to LEVEL8, LEVEL 0 for no error correction, LEVEL8 for max error correction.

  Parameters:
    `value` -

### setPDF417Rows

    public void setPDF417Rows(int value)

  Sets rows of PDF417 barcode, illegal settings will be ignored

  Parameters:
    `value` -

### setPDF417Truncated

    public void setPDF417Truncated(boolean value)

  Sets whether PDF417 barcode is truncated.

  Parameters:
    `value` -

### setPlanetShortBarHeight

    public void setPlanetShortBarHeight(float value)

  Sets the short bar's height of Planet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight. Illegal setting will be ignored.

  Parameters:
    `value` -

### setPostnetShortBarHeight

    public void setPostnetShortBarHeight(float value)

  Sets the short bar's height of Postnet type of barcode, to set up tall bar's height, use setBarHeight and getBarHeight method. Illegal setting will be ignored.

  Parameters:
    `value` -

### setQRErrorLevel

    public void setQRErrorLevel(int value)

  Sets QR barcode's error correction level.

  Parameters:
    `value` -

### setRotationAngle

    public void setRotationAngle(float value)

  Sets the rotation angle of the barcode image, default to 0 degree, if rotation angle not not equal to 0, 90, 180 or 270, the barcode maybe jagged, setImageQuality to anti-alias to solve this problem

  Parameters:
    `value` -

### setResolution

    public void setResolution(Resolution value)

### setSupplementSpace

    public void setSupplementSpace(float value)

  Sets the space between main barcode and the supplement barcode

  Parameters:
    `value` -

### setSupplementText

    public void setSupplementText(java.lang.String value)

  Sets the supplement barcode's code text. Only EAN8, EAN13, BooklandEAN, UPCA, UPCE has supplements. Supplement codetext only contains numeric characters with length to be 2 or 5.

  Parameters:
    `value` -

### setSymbology

    public void setSymbology(java.lang.String symbology)

  Supported symbologies: Codabar, Code11, Code128, Code39, Code39 extended, Code93, Code93 extended Interleaved 2of5, Standard2of5, MSI, UPCA, UPCE

  Parameters:
    `symbology` -

### setWideNarrowRatio

    public void setWideNarrowRatio(float value)

  Sets wide bars to narrow bars ratio for some types of one dimensional barcode, default to 3.0

  Parameters:
    `value` -

### setWidth

    public void setWidth(float value)

  Sets the width of x barcode image, if auto size is set to true, Width and Height settings will be ignored

  Parameters:
    `value` -

### setXDimension

    public void setXDimension(float value)

  Sets the width of x smallest bar, or the smallest module's width of 2D barcodes measured in GraphicsUnit

  Parameters:
    `value` -

### setYDimension

    public void setYDimension(float value)

  Sets the height of x smallest module of 2D barcodes.

  Parameters:
    `value` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD